
Redmine - Defect #10320

db migrate "ChangeAttachmentsContainerDefaults" error

2012-02-25 11:55 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.4.4

Description

trunk r8991 on Ruby 1.9.3-p125

==  ChangeAttachmentsContainerDefaults: migrating =============================

-- change_column(:attachments, :container_id, :integer, {:default=>nil, :null=>true})

   -> 0.2494s

-- change_column(:attachments, :container_type, :string, {:limit=>30, :default=>nil, :null=>true})

   -> 0.4275s

==  ChangeAttachmentsContainerDefaults: migrated (0.6874s) ====================

/home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:167:in `block in non_options

': file not found: db:migrate (ArgumentError)

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:146:in `map!'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:146:in `non_options

'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:207:in `non_options

'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:52:in `process_args

'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/minitest/unit.rb:891:in `_run'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/minitest/unit.rb:884:in `run'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:21:in `run'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:326:in `block (2 le

vels) in autorun'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:27:in `run_once'

    from /home/xxxxxxx/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/test/unit.rb:325:in `block in au

torun'

 

Rails 3.1.3 and Ruby 1.8.7-p357

==  ChangeAttachmentsContainerDefaults: migrating =============================

-- change_column(:attachments, :container_id, :integer, {:null=>true, :default=>nil})

rake aborted!

An error has occurred, this and all later migrations canceled:

Index name 'temp_index_altered_attachments_on_container_id_and_container_type'

on table 'altered_attachments' is too long; the limit is 64 characters

Related issues:

Related to Redmine - Defect #10818: Running rake in test environment causes e... Closed

Associated revisions

Revision 8996 - 2012-02-25 12:46 - Jean-Philippe Lang

Fixed migration broken with Rails 3.1.3 (#10320).

Revision 10137 - 2012-07-31 04:32 - Toshi MARUYAMA

Gemfile: prevent "rake db:migrate RAILS_ENV=test" causes exception on Ruby 1.9.3 (#10320, #10818)

Revision 10138 - 2012-07-31 10:17 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/8991


Merged r10137 from trunk to 2.0-stable (#10320, #10818)

Gemfile: prevent "rake db:migrate RAILS_ENV=test" causes exception on Ruby 1.9.3.

Revision 10139 - 2012-07-31 10:47 - Toshi MARUYAMA

Merged r10137 from trunk to 1.4-stable (#10320, #10818)

Gemfile: prevent "rake db:migrate RAILS_ENV=test" causes exception on Ruby 1.9.3.

Revision 11325 - 2013-02-04 09:05 - Toshi MARUYAMA

remove "test-unit" from Gemfile

This is added by r10137 (#10320, #10818) and shoulda version was upgraded by r11324.

History

#1 - 2012-02-25 12:52 - Jean-Philippe Lang

Toshi MARUYAMA wrote:

trunk r8991 on Ruby 1.9.3-p125

[...]

 Not related to this migration. Even if you remove it, you'll get the same error et the end of db:migrate.

The stack trace is odd and the migration is actually executed fine. I can't see the problem in Redmine.

Rails 3.1.3 and Ruby 1.8.7-p357

[...]

 Fixed in r8996, although it should be fixed on the rails side.

#2 - 2012-03-08 16:38 - Etienne Massip

- Category set to Database

#3 - 2012-07-31 08:46 - Etienne Massip

- Target version set to 2.0.4

- Affected version (unused) changed from devel to 2.0.3

- Affected version set to 2.0.3

#4 - 2012-07-31 10:35 - Toshi MARUYAMA

- Affected version (unused) changed from 2.0.3 to 1.4.4

- Affected version changed from 2.0.3 to 1.4.4

#5 - 2012-07-31 10:39 - Toshi MARUYAMA

- Subject changed from db migrate "ChangeAttachmentsContainerDefaults" error on SQLite3 1.3.5 to db migrate

"ChangeAttachmentsContainerDefaults" error

#6 - 2012-07-31 10:43 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (2.0.4)

- Resolution set to Fixed

Description has two problems.

First problem is duplicate with #10818.

#7 - 2013-02-13 15:59 - Lawrence Krubner

I am still getting this error:

Rails 3.2.11

Ruby 1.9.3

Centos 6.3
https://www.redmine.org/projects/redmine/repository/svn/revisions/8991
https://www.redmine.org/projects/redmine/repository/svn/revisions/8996
https://www.redmine.org/issues/10818


Redmine 2.2 from SVN on February 05, 2013

#8 - 2013-02-13 16:41 - Toshi MARUYAMA

Lawrence Krubner wrote:

I am still getting this error:

 Description has two problems.

Which error?
